GCLOUD_KMS_KEYS_VERSIONS_CREATE(1)

NAME

gcloud kms keys versions create - create a new version

SYNOPSIS

gcloud kms keys versions create [--key=KEY] [--keyring=KEYRING] [--location=LOCATION] [--primary] [GLOBAL-FLAG ...]

DESCRIPTION
Creates a new version within the given key.

FLAGS

    --key=KEY
        The containing key.

    --keyring=KEYRING
        The containing keyring.

    --location=LOCATION
        The location of the requested resource.

    --primary
        If specified, immediately make the new version primary.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.

EXAMPLES
The following command creates a new version within the frodo key, fellowship keyring, and global location and sets it as the primary version:
    $ gcloud kms keys versions create --location global \ --keyring fellowship \ --key frodo --primary